<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
EdmMBoxType Enumeration
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace : EdmMBoxType Enumeration

Visual Basic
C#
C++/CLI
Types of widget to insert or display in IEdmVault5::MsgBox. Bitmask.

# Syntax

Visual Basic |
--- | ---

    Public Enum EdmMBoxType
       Inherits System.Enum

C# |
--- | ---

    public enum EdmMBoxType : System.Enum

C++/CLI |
--- | ---

    public enum class EdmMBoxType : public System.Enum

# Members

Member | Description
--- | ---
EdmMbt_AbortRetryIgnore | 2 = Insert Abort, Retry, and Ignore
EdmMbt_Icon_Information | 64 = Display the information icon
EdmMbt_Icon_Question | 32 = Display the question icon
EdmMbt_Icon_Warning | 48 = Display the warning icon
EdmMbt_OKCancel | 1 = Insert OK and Cancel
EdmMbt_OKOnly | 0 = Insert OK
EdmMbt_RetryCancel | 5 = Insert Retry and Cancel
EdmMbt_YesNo | 4 = Insert Yes and No
EdmMbt_YesNoCancel | 3 = Insert Yes, No, and Cancel

# See Also

####

EPDM.Interop.epdm Namespace